Passer au contenu principal
GET
/
v1
/
wallets
/
{id}
/
transactions
List wallet transactions
curl --request GET \
  --url https://api.hyperline.co/v1/wallets/{id}/transactions \
  --header 'Authorization: Bearer <token>'
{
  "meta": {
    "total": 1,
    "taken": 1,
    "skipped": 0
  },
  "data": [
    {
      "id": "walt_FCihRDLYhKpSpL",
      "type": "credit_paid",
      "amount": 12000,
      "comment": "Offline payment received",
      "invoice_id": null,
      "original_transaction_id": null,
      "reverted_by": null,
      "created_at": "2024-12-20T16:04:11Z"
    }
  ]
}

Autorisations

Authorization
string
header
requis

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Paramètres de chemin

id
string
requis

Paramètres de requête

take
number | null
défaut:50
Plage requise: 0 <= x <= 100
skip
number | null
défaut:0
Plage requise: x >= 0

Réponse

200 - application/json

Paginated list of wallet transactions

meta
object
requis
data
object[]
requis

List of WalletTransaction.